org.apache.fop.render.ps

## Class ImageEncoderPNG

- java.lang.Object
- - org.apache.fop.render.ps.ImageEncoderPNG

- All Implemented Interfaces:
    org.apache.xmlgraphics.ps.ImageEncoder

      public class ImageEncoderPNG
      extends java.lang.Object
      implements org.apache.xmlgraphics.ps.ImageEncoder

  ImageEncoder implementation for PNG images.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageEncoderPNG(org.apache.xmlgraphics.image.loader.impl.ImageRawPNG image)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getImplicitFilter()`
    `void` | `writeTo(java.io.OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageEncoderPNG

          public ImageEncoderPNG(org.apache.xmlgraphics.image.loader.impl.ImageRawPNG image)

      Main constructor
      Parameters:
        `image` - the PNG image

  - ### Method Detail

    - #### writeTo

          public void writeTo(java.io.OutputStream out)
                       throws java.io.IOException

      Specified by:
        `writeTo` in interface `org.apache.xmlgraphics.ps.ImageEncoder`
      Throws:
        `java.io.IOException`

    - #### getImplicitFilter

          public java.lang.String getImplicitFilter()

      Specified by:
        `getImplicitFilter` in interface `org.apache.xmlgraphics.ps.ImageEncoder`

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.